## org.eclipse.emf.query.conditions.numbers
Class NumberAdapter.ByteAdapter

    java.lang.Object
      org.eclipse.emf.query.conditions.numbers.NumberAdapter<Byte>
          org.eclipse.emf.query.conditions.numbers.NumberAdapter.ByteAdapter

All Implemented Interfaces:
  IDataTypeAdapter<Byte>

Enclosing class:
  NumberAdapter<N extends Number & Comparable<? super N>>

    public abstract static class NumberAdapter.ByteAdapter

extends NumberAdapter<Byte>

A subclass of `NumberAdapter` to be used to adapt an argument object to `byte` values Clients can either use the default implementation supplied or have their own.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.query.conditions.numbers.NumberAdapter
`NumberAdapter.ByteAdapter, NumberAdapter.DoubleAdapter, NumberAdapter.FloatAdapter, NumberAdapter.IntegerAdapter, NumberAdapter.LongAdapter, NumberAdapter.ShortAdapter`

Field Summary
`static NumberAdapter.ByteAdapter` `DEFAULT` The simplest `ByteAdapter` implementation that represents the case when to argument object to adapt is a Byte object itself.

Constructor Summary
`NumberAdapter.ByteAdapter()`

Method Summary
`abstract byte` `byteValue(Object object)` An adapting function whose responsible of extracting the `byte` value of interest from an the argument object

Methods inherited from class org.eclipse.emf.query.conditions.numbers.NumberAdapter
`adapt, getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final NumberAdapter.ByteAdapter DEFAULT

  The simplest `ByteAdapter` implementation that represents the case when to argument object to adapt is a Byte object itself.

Constructor Detail

### NumberAdapter.ByteAdapter

    public NumberAdapter.ByteAdapter()

Method Detail

### byteValue

    public abstract byte byteValue(Object object)

  An adapting function whose responsible of extracting the `byte` value of interest from an the argument object

  Parameters:
    `object` - The `Object` to adapt to `byte`
  Returns:
    The `byte` value of interest that got extracted by this adapter from the argument object

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.